Installing AMD Catalyst on Ubuntu 14.04 (GUI Mode)

Video is ready, Click Here to View ×


#Recommended that you watch the video in at least 720p for clarity of text.

Subtitles have been added. Please enable captions and select English (United Kingdom). I hope this helps those of you who don’t speak English natively.

This is a video meant to showcase that AMD drivers on
Ubuntu 14.04 can be installed via a GUI interface. This guide is more suited to desktops, rather than laptops with hybrid graphics.

*Reminder* Everytime you update Ubuntu and there is a new kernel, you will…

26 thoughts on “Installing AMD Catalyst on Ubuntu 14.04 (GUI Mode)

  1. please help!!! the GUI installation doesn't work and when i use the terminal i get this:
    error: Detected X Server version 'XServer 1.19.5_64a' is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib32:XServer 1.19.5_64a:none:4.13.0-36-generic:)
    Installation will not proceed.

  2. When i double click in the .run file, it ask me for the password, so i write my password then i click ok, but nothing happens, the installation box doesn't appear, ubuntu 16.04 lts

  3. So I decided to do this yet all I get is to open the Ubuntu Software Center instead of getting a .zip/rar/7z file I get a .deb from the download and it installs from the USC (Software Center). Same deal?

  4. Guys, if it wants some pre-quisites, you gotta install those 2, atleast it worked for me.

    Open Terminal
    ——————–
    And install those two.
    sudo apt-get install linux-headers-generic
    sudo apt-get install fglrx

  5. Check if system has the tools required for installation.
    fglrx installation requires that the system have kernel headers. /lib/modules/4.4.0-57-generic/build/include/linux/version.h cannot be found on this system.
    One or more tools required for installation cannot be found on the system. Install the required tools before installing the fglrx driver.
    Optionally, run the installer with –force option to install without the tools.
    Forcing install will disable AMD hardware acceleration and may make your system unstable. Not recommended.

  6. i got problem with elementary os 😞 the system can´t load the
    Graphic interface from i installed amd catalist and i haven´t internet wifi what can i do?
    sorry sorry for the disturbances

  7. I'm getting an error after instalation. The installer says it's installed correctly but when I restart I get terrible bugging. Here is a copy of the error:
    NOTE: If your system has logged the missing packages required for installation, install them in the order as per the log file to resolve package-dependency issues.
    Package dh-modaliases is missing from the system. Install it using the command apt-get install dh-modaliases.
    Package execstack is missing from the system. Install it using the command apt-get install execstack.
    Package debhelper is missing from the system. Install it using the command apt-get install debhelper.
    Package dkms is missing from the system. Install it using the command apt-get install dkms.
    Package lib32gcc1 is missing from the system. Install it using the command apt-get install lib32gcc1.
    Supported adapter detected.
    Check if system has the tools required for installation.
    Uninstalling any previously installed drivers.
    Unloading radeon module…
    rmmod: ERROR: Module radeon is in use
    Unloading drm module…
    rmmod: ERROR: Module drm is in use by: ttm drm_kms_helper radeon
    [Message] Kernel Module : Trying to install a precompiled kernel module.
    [Message] Kernel Module : Precompiled kernel module version mismatched.
    [Message] Kernel Module : Found kernel module build environment, generating kernel module now.
    AMD kernel module generator version 2.1
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf .c *.h *.o *.ko *.a .?? *.symvers
    make -C /lib/modules/4.4.0-38-generic/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
    make[1]: Entering directory '/usr/src/linux-headers-4.4.0-38-generic'
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_major_proc_read’:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:634:9: error: void value not ignored as it ought to be
    len = seq_printf(m, "%dn", major);
    ^
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KCL_fpu_save_init’:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6458:49: error: ‘XSTATE_FP’ undeclared (first use in this function)
    if (!(fpu->state.xsave.header.xfeatures & XSTATE_FP))
    ^
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6458:49: note: each undeclared identifier is reported only once for each function it appears in
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6448:12: warning: ‘KCL_fpu_save_init’ defined but not used [-Wunused-function]
    static int KCL_fpu_save_init(struct task_struct *tsk)
    ^
    scripts/Makefile.build:258: recipe for target '/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o' failed
    make[2]: * [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
    Makefile:1403: recipe for target '_module_/lib/modules/fglrx/build_mod/2.6.x' failed
    make[1]: * [module/lib/modules/fglrx/build_mod/2.6.x] Error 2
    make[1]: Leaving directory '/usr/src/linux-headers-4.4.0-38-generic'
    Makefile:88: recipe for target 'kmod_build' failed
    make: * [kmod_build] Error 2
    build failed with return value 2
    [Error] Kernel Module : Failed to compile kernel module – please consult readme.
    [Reboot] Kernel Module : update-initramfs

  8. Thank you for this!
    Is this tutorial still accurate today (5/19/16)? Are there any steps you would change or amend, assuming still using Ubuntu 14.04?
    I'll be installing on an AMD A6-7400K APU (integrated R5 graphics).

  9. Hi,
    i need your help. I tried to follow your guide but when i run the file instaler, i have the follow msg:
    One or more tools required for installation cannot be found on the system.
    Install
    the required tools before installing the fglrx driver. Optionally, run
    the installer with –force option to install without the tools.
    Forcing install will disable AMD hardware acceleration and may make your system instable. Not reccomended.
    See /usr/share/ati/fglrx-install.log for more details.

    I tried to read posts, forum etc but nothing. Can you help me?
    Thanks

Leave a Comment

Your email address will not be published. Required fields are marked *